OGRE: Ogre::v1::AnimationStateControllerValue Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::v1::AnimationStateControllerValue Class Reference
Core » Animation

ControllerValue wrapper class for AnimationState. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::v1::AnimationStateControllerValue:
[legend]

## Public Member Functions
| AnimationStateControllerValue (AnimationState *targetAnimationState)
| Constructor, pass in the target animation state. More...
| ~AnimationStateControllerValue ()
| Destructor (parent already virtual) More...
Real | getValue (void) const
| ControllerValue implementation. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setValue (Real value)
| ControllerValue implementation. More...

## Detailed Description

ControllerValue wrapper class for AnimationState.

Remarks
  In Azathoth and earlier, AnimationState was a ControllerValue but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but AnimationState is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically.

## Constructor & Destructor Documentation

## ◆ AnimationStateControllerValue()

Ogre::v1::AnimationStateControllerValue::AnimationStateControllerValue | ( | AnimationState * | targetAnimationState | ) |
| inline

Constructor, pass in the target animation state.

## ◆ ~AnimationStateControllerValue()

Ogre::v1::AnimationStateControllerValue::~AnimationStateControllerValue | ( |  | ) |
| inline

Destructor (parent already virtual)

## Member Function Documentation

## ◆ getValue()

Real Ogre::v1::AnimationStateControllerValue::getValue | ( | void |  | ) | const
| virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setValue()

void Ogre::v1::AnimationStateControllerValue::setValue | ( | Real | value | ) |
| virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< Real >.

The documentation for this class was generated from the following file:

- OgreAnimationState.h